NOWEB(1)

NAME
htmltoc - add table of contents to HTML document

SYNOPSIS
htmltoc [-2345] [file]

DESCRIPTION
htmltoc adds a table of contents to the HTML document named on the command line or provided as standard input. The table of contents is inserted between <tableofcontents> and </tableofcontents>, which must appear on lines by themselves. Any text between those two markers is discarded. These markers are inserted automatically by the sl2h(1) filter.

The table of contents includes only headers at levels 2, 3, 4, and 5. This can be changed by using a command-line option, e.g., -123456789P to include all possible headers.

SEE ALSO
nowebfilters(7), sl2h(1)

VERSION
This man page is from noweb version 2.10a.

AUTHOR
Norman Ramsey, Harvard University. Internet address nr@eecs.harvard.edu.
Noweb home page at http://www.eecs.harvard.edu/~nr/noweb.

Stephen Parker provided a preliminary version.